Package org.eclipse.graphiti.internal

# Class GraphitiPlugin

java.lang.Object
org.eclipse.core.runtime.Plugin
org.eclipse.graphiti.internal.GraphitiPlugin

All Implemented Interfaces:
  `org.osgi.framework.BundleActivator`

public class GraphitiPlugin extends org.eclipse.core.runtime.Plugin

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`PLUGIN_ID`

### Fields inherited from class org.eclipse.core.runtime.Plugin

`PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

## Constructor Summary

Constructors
Constructor
Description
`GraphitiPlugin()`

## Method Summary

Modifier and Type
Method
Description
`static GraphitiPlugin`
`getDefault()`

### Methods inherited from class org.eclipse.core.runtime.Plugin

`find, find, getBundle, getLog, getPluginPreferences, getStateLocation, initializeDefaultPluginPreferences, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, shutdown, start, startup, stop, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### PLUGIN_ID

public static final String PLUGIN_ID

See Also:
  - Constant Field Values

## Constructor Details

### GraphitiPlugin

public GraphitiPlugin()

## Method Details

### getDefault

public static GraphitiPlugin getDefault()